<div class="row animated fadeIn">
  <div class="col-lg-7">
    <div class="card">
      <div class="card-body">
        <h4 class="card-title"> Profile </h4>
        <h6 class="card-subtitle">{{ usuario.nombre }}</h6>
        <hr>

        <form ngNativeValidate #f="ngForm" (ngSubmit)="guardar( f.value )" class="form p-t-20">
          <div class="form-group">
            <label for="exampleInputuname">User Name</label>
            <div class="input-group">
              <div class="input-group-addon"><i class="ti-user"></i></div>
              <input [ngModel]="usuario.nombre" name="nombre" class="form-control" placeholder="Username" type="text" required>
            </div>
          </div>
          <div class="form-group">
            <label for="exampleInputEmail1">Email address</label>
            <div class="input-group">
              <div class="input-group-addon"><i class="ti-email"></i></div>
              <input [ngModel]="usuario.email" name="email" [disabled]="usuario.google" class="form-control" placeholder="Enter email" type="email" required>
            </div>
          </div>
          <button type="submit" class="btn btn-success waves-effect waves-light m-r-10">
            <i class="fa fa-save"></i>
            Save changes
          </button>
        </form>
      </div>
    </div>
  </div>  

  <div class="col-lg-5">
    <div class="card">
      <div class="card-body" align="center">
        <h4 class="card-title"> Updated/Upload image </h4>
        <h6 class="card-subtitle"></h6>
        <hr>

        <img *ngIf="!imagePreview" [src]="usuario.img | imagen" alt="img prev" class="w150">
        <img *ngIf="imagePreview" [src]="imagePreview" alt="img prev" class="w150">
       
        <input (change)="seleccionImagen( $event.target.files[0] )" type="file">
        <br>
        <br>
        <button (click)="cambiarImagen()" [disabled]="!imagenSubir" type="button" class="btn btn-block btn-success waves-effect waves-light m-r-10">
          <i class="fa fa-save"></i>
          Upload
        </button>

      </div>
    </div>
  </div>

</div> 